<%
/**
 * Copyright (c) 2009 Robisoft, Inc. All rights reserved.
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */
%>

<%@ include file="/html/portlet/hellojQuery_portlet/init.jsp" %>

<div id="<portlet:namespace />lgoUsers">

<form action="<portlet:actionURL/>" method="post" name="<portlet:namespace />fm" id="<portlet:namespace />fm">

<input type="submit" name="<portlet:namespace />sm" value="Show Users" />

</form>
<ul id="userlist">
<c:forEach items="${users}" var="user">
	<li><c:out value="${user}"/></li>
</c:forEach>
</ul>

<script type="text/javascript">
jQuery(document).ready(function(){

var <portlet:namespace/>form = jQuery('#'+'<portlet:namespace />fm');

<portlet:namespace/>form.bind("submit",function(event){
	   event.preventDefault();
	   var inputs = jQuery("input, textarea, select", <portlet:namespace/>form);
	   var url = '<portlet:actionURL windowState="<%= LiferayWindowState.EXCLUSIVE.toString() %>"/>' + "&" + inputs.serialize();
           jQuery('#userlist').remove();
	   jQuery('#<portlet:namespace />lgoUsers').load(url);
  });

});
</script>

</div>
